.page-section-container.section-Hero {
    &:has(video) {
        position: relative;
    }

    .wrapper:has(video) {
        position: static;
    }

    .hero-hr {
        width: 5rem;
        height: .5rem;
        border: none;
        background-color: #D1D1D1;
    }

    .hero__heading {
        color: #ffffff;
        font-size: clamp(2rem, 6vw, 5.5rem);
        font-weight: 300;
        text-transform: capitalize;
        margin-top: 10rem;
    }

    .hero__body {
        color: #ffffff;
        font-size: clamp(1.5rem, 2vw, 2rem);
        margin-bottom: 2rem;
        font-weight: 300;
    }

    .hero__button a {
        color: #ffffff;
        background-color: #d63627;
        border: 1px solid #d63627;
        padding: 1.5rem 2rem;
        margin-top: 2rem;
        display: inline-block;

        &:hover {
            background-color: #ffffff;
            color: #d63627;
        }
    }

    .video-background-container {
        position: absolute;
        inset: 0;
        width: 100%;
        height: 100%;
        z-index: -1;

        &::after {
            content: '';
            position: absolute;
            inset: 0;
            background-color: rgba(0, 0, 0, 0.5);
        }

        video {
            position: absolute;
            inset: 0;
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
    }
}